// 配置文件

const env=uni.getAccountInfoSync().miniProgram
// 请求根路径
let baseApiUrl=''
if(env.envVersion==='develop'){//开发
    baseApiUrl='http://8.136.199.33:8612'
}else if(env.envVersion==='trial'){//体验版
    baseApiUrl='http://8.136.199.33:8612'
}else if(env.envVersion==='release'){//正式版
    baseApiUrl='https://yanbao.hzinsights.com'
}

// 配置图片资源 https://hzstatic.hzinsights.com/static/icon/hzyb/
const globalImgUrls={
    activityNoAuth:'https://hzstatic.hzinsights.com/static/icon/hzyb/activity_no_auth.png',
    imgSuccess:'https://hzstatic.hzinsights.com/static/icon/hzyb/success_icon.png',
    loginTop:'https://hzstatic.hzinsights.com/static/icon/hzyb/login_top_img.png',
    idCardExp:'https://hzstatic.hzinsights.com/static/icon/hzyb/idcard_exp.jpg'
}

// 默认tabbar数据
const defaultTabBarListConfig=[
    {
        key: "activity",
        pagePath: "pages/activity/activity",
        text: "报告及活动",
        iconPath: "../static/tabbar/activity.png",
        selectedIconPath: "../static/tabbar/activity-s.png",
    },
    {
        key: "report",
        pagePath: "pages/report/report",
        text: "报告",
        iconPath: "../static/tabbar/report.png",
        selectedIconPath: "../static/tabbar/report-s.png",
    },
    {
        key: "buy",
        pagePath: "pages/buy/buy",
        text: "已购",
        iconPath: "../static/tabbar/buy.png",
        selectedIconPath: "../static/tabbar/buy-s.png",
    },
    {
        key: "chart",
        pagePath: "pages/chart/chart",
        text: "图库",
        iconPath: "../static/tabbar/chart.png",
        selectedIconPath: "../static/tabbar/chart-s.png",
    },
    {
        key: "user",
        pagePath: "pages/user/user",
        text: "我的",
        iconPath: "../static/tabbar/user.png",
        selectedIconPath: "../static/tabbar/user-s.png",
    }
]


module.exports={
    baseApiUrl,
    globalImgUrls,
    defaultTabBarListConfig
}